<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
            <title>phpDocumentor</title>
    
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <base href="../">
    <link rel="icon" href="images/favicon.ico"/>
    <link rel="stylesheet" href="css/normalize.css">
    <link rel="stylesheet" href="css/base.css">
            <link rel="preconnect" href="https://fonts.gstatic.com">
        <link href="https://fonts.googleapis.com/css2?family=Source+Sans+Pro:wght@400;600;700&display=swap" rel="stylesheet">
        <link href="https://fonts.googleapis.com/css2?family=Source+Code+Pro:wght@400;600;700&display=swap" rel="stylesheet">
        <link rel="stylesheet" href="css/template.css">
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.12.0/css/all.min.css" integrity="sha256-ybRkN9dBjhcS2qrW1z+hfCxq+1aBdwyQM5wlQoQVt/0=" crossorigin="anonymous" />
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/themes/prism-okaidia.css">
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/plugins/line-numbers/prism-line-numbers.css">
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/plugins/line-highlight/prism-line-highlight.css">
                <script src="https://cdn.jsdelivr.net/npm/fuse.js@3.4.6"></script>
        <script src="https://cdn.jsdelivr.net/npm/css-vars-ponyfill@2"></script>
        <script src="js/search.js"></script>
        <script defer src="js/searchIndex.js"></script>
    </head>
<body id="top">
    <header class="phpdocumentor-header phpdocumentor-section">
    <h1 class="phpdocumentor-title"><a href="" class="phpdocumentor-title__link">phpDocumentor</a></h1>
    <input class="phpdocumentor-header__menu-button" type="checkbox" id="menu-button" name="menu-button" />
    <label class="phpdocumentor-header__menu-icon" for="menu-button">
        <i class="fas fa-bars"></i>
    </label>
    <section data-search-form class="phpdocumentor-search">
    <label>
        <span class="visually-hidden">Search for</span>
        <svg class="phpdocumentor-search__icon" width="21" height="20" viewBox="0 0 21 20" fill="none" xmlns="http://www.w3.org/2000/svg">
            <circle cx="7.5" cy="7.5" r="6.5" stroke="currentColor" stroke-width="2"/>
            <line x1="12.4892" y1="12.2727" x2="19.1559" y2="18.9393" stroke="currentColor" stroke-width="3"/>
        </svg>
        <input type="search" class="phpdocumentor-field phpdocumentor-search__field" placeholder="Loading .." disabled />
    </label>
</section>

    <nav class="phpdocumentor-topnav">
    <ul class="phpdocumentor-topnav__menu">
        </ul>
</nav>
</header>

    <main class="phpdocumentor">
        <div class="phpdocumentor-section">
            <input class="phpdocumentor-sidebar__menu-button" type="checkbox" id="sidebar-button" name="sidebar-button" />
<label class="phpdocumentor-sidebar__menu-icon" for="sidebar-button">
    Menu
</label>
<aside class="phpdocumentor-column -four phpdocumentor-sidebar">
                    <section class="phpdocumentor-sidebar__category">
            <h2 class="phpdocumentor-sidebar__category-header">Namespaces</h2>
                                    <h4 class="phpdocumentor-sidebar__root-namespace">
    <a href="namespaces/inc.html" class="">Inc</a>
</h4>
    <ul class="phpdocumentor-list">
                    <li>
                <a href="namespaces/inc-api.html" class="">Api</a>
                
            </li>
                    <li>
                <a href="namespaces/inc-base.html" class="">Base</a>
                
            </li>
                    <li>
                <a href="namespaces/inc-defaultdata.html" class="">DefaultData</a>
                
            </li>
                    <li>
                <a href="namespaces/inc-pages.html" class="">Pages</a>
                
            </li>
            </ul>

                        </section>
                <section class="phpdocumentor-sidebar__category">
            <h2 class="phpdocumentor-sidebar__category-header">Packages</h2>
                                    <h4 class="phpdocumentor-sidebar__root-namespace">
    <a href="packages/OERSI.html" class="">OERSI</a>
</h4>

                                    <h4 class="phpdocumentor-sidebar__root-namespace">
    <a href="packages/Application.html" class="">Application</a>
</h4>

                                    <h4 class="phpdocumentor-sidebar__root-namespace">
    <a href="packages/OERSi.html" class="">OERSi</a>
</h4>

                        </section>
            
    <section class="phpdocumentor-sidebar__category">
        <h2 class="phpdocumentor-sidebar__category-header">Reports</h2>
                <h3 class="phpdocumentor-sidebar__root-package"><a href="reports/deprecated.html">Deprecated</a></h3>
        <h3 class="phpdocumentor-sidebar__root-package"><a href="reports/errors.html">Errors</a></h3>
        <h3 class="phpdocumentor-sidebar__root-package"><a href="reports/markers.html">Markers</a></h3>
    </section>

    <section class="phpdocumentor-sidebar__category">
        <h2 class="phpdocumentor-sidebar__category-header">Indices</h2>
        <h3 class="phpdocumentor-sidebar__root-package"><a href="indices/files.html">Files</a></h3>
    </section>
</aside>

            <div class="phpdocumentor-column -eight phpdocumentor-content">
                    <ul class="phpdocumentor-breadcrumbs">
            <li class="phpdocumentor-breadcrumb"><a href="namespaces/inc.html">Inc</a></li>
            <li class="phpdocumentor-breadcrumb"><a href="namespaces/inc-api.html">Api</a></li>
    </ul>

    <article class="phpdocumentor-element -class">
        <h2 class="phpdocumentor-content__title">
    RestAPI

        <span class="phpdocumentor-element__extends">
        extends <abbr title="\WP_REST_Controller">WP_REST_Controller</abbr>
    </span>
    
            <div class="phpdocumentor-element__package">
            in package
            <ul class="phpdocumentor-breadcrumbs">
                                    <li class="phpdocumentor-breadcrumb"><a href="packages/OERSI.html">OERSI</a></li>
                            </ul>
        </div>
    
    
    </h2>

        <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="inc/Api/RestAPI.php"><a href="files/inc-api-restapi.html"><abbr title="inc/Api/RestAPI.php">RestAPI.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">16</span>

    </aside>

        
    <section class="phpdocumentor-description"></section>








<h3 id="toc">
    Table of Contents
    <a href="#toc" class="headerlink"><i class="fas fa-link"></i></a>
</h3>

<dl class="phpdocumentor-table-of-contents">
                    <dt class="phpdocumentor-table-of-contents__entry -property -public">
    <a href="classes/Inc-Api-RestAPI.html#property_apiRoutes">$apiRoutes</a>
    <span>
                        &nbsp;: array&lt;string|int, mixed&gt;            </span>
</dt>
<dd>A variable to store the api routes</dd>

            <dt class="phpdocumentor-table-of-contents__entry -property -public">
    <a href="classes/Inc-Api-RestAPI.html#property_baseRoute">$baseRoute</a>
    <span>
                        &nbsp;: string            </span>
</dt>
<dd>A variable to store base route</dd>

            <dt class="phpdocumentor-table-of-contents__entry -property -private">
    <a href="classes/Inc-Api-RestAPI.html#property_apiNamespace">$apiNamespace</a>
    <span>
                        &nbsp;: string            </span>
</dt>
<dd>A variable to store the api namespace</dd>

                <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/Inc-Api-RestAPI.html#method_get_permissions_check">get_permissions_check()</a>
    <span>
                                &nbsp;: bool|<abbr title="\Inc\Api\WP_Error">WP_Error</abbr>    </span>
</dt>
<dd>Check permissions for the read.</dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/Inc-Api-RestAPI.html#method_register">register()</a>
    <span>
                                &nbsp;: void    </span>
</dt>
<dd>A function that is used to register the admin pages,subPages,settings,sections and fields
 This function is called from the register function in the init class</dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/Inc-Api-RestAPI.html#method_registerRoute">registerRoute()</a>
    <span>
                                &nbsp;: void    </span>
</dt>
<dd>A function that register the api routes</dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/Inc-Api-RestAPI.html#method_set_permissions_check">set_permissions_check()</a>
    <span>
                                &nbsp;: bool|<abbr title="\Inc\Api\WP_Error">WP_Error</abbr>    </span>
</dt>
<dd>Check permissions for the read.</dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/Inc-Api-RestAPI.html#method_setApiRoutes">setApiRoutes()</a>
    <span>
                                &nbsp;: $this    </span>
</dt>
<dd>A function that set api routes</dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/Inc-Api-RestAPI.html#method_setBaseRoute">setBaseRoute()</a>
    <span>
                                &nbsp;: $this    </span>
</dt>
<dd>A function that set base route</dd>

        </dl>



        

        
    <section class="phpdocumentor-properties">
        <h3 class="phpdocumentor-elements__header" id="properties">
            Properties
            <a href="classes/Inc-Api-RestAPI.html#properties" class="headerlink"><i class="fas fa-link"></i></a>
        </h3>
                    <article
        class="
            phpdocumentor-element
            -property
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="property_apiRoutes">
        $apiRoutes
        <a href="classes/Inc-Api-RestAPI.html#property_apiRoutes" class="headerlink"><i class="fas fa-link"></i></a>
        <span class="phpdocumentor-element__modifiers">
                                </span>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="inc/Api/RestAPI.php"><a href="files/inc-api-restapi.html"><abbr title="inc/Api/RestAPI.php">RestAPI.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">35</span>

    </aside>

        <p class="phpdocumentor-summary">A variable to store the api routes</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
        <span class="phpdocumentor-signature__type">array&lt;string|int, mixed&gt;</span>
    <span class="phpdocumentor-signature__name">$apiRoutes</span>
     = <span class="phpdocumentor-signature__default-value">[]</span></code>

    
    
    

</article>
                    <article
        class="
            phpdocumentor-element
            -property
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="property_baseRoute">
        $baseRoute
        <a href="classes/Inc-Api-RestAPI.html#property_baseRoute" class="headerlink"><i class="fas fa-link"></i></a>
        <span class="phpdocumentor-element__modifiers">
                                </span>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="inc/Api/RestAPI.php"><a href="files/inc-api-restapi.html"><abbr title="inc/Api/RestAPI.php">RestAPI.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">29</span>

    </aside>

        <p class="phpdocumentor-summary">A variable to store base route</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
        <span class="phpdocumentor-signature__type">string</span>
    <span class="phpdocumentor-signature__name">$baseRoute</span>
     = <span class="phpdocumentor-signature__default-value">&#039;&#039;</span></code>

    
    
    

</article>
                    <article
        class="
            phpdocumentor-element
            -property
            -private
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="property_apiNamespace">
        $apiNamespace
        <a href="classes/Inc-Api-RestAPI.html#property_apiNamespace" class="headerlink"><i class="fas fa-link"></i></a>
        <span class="phpdocumentor-element__modifiers">
                                </span>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="inc/Api/RestAPI.php"><a href="files/inc-api-restapi.html"><abbr title="inc/Api/RestAPI.php">RestAPI.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">23</span>

    </aside>

        <p class="phpdocumentor-summary">A variable to store the api namespace</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">private</span>
        <span class="phpdocumentor-signature__type">string</span>
    <span class="phpdocumentor-signature__name">$apiNamespace</span>
     = <span class="phpdocumentor-signature__default-value">&quot;&quot;</span></code>

    
    
    

</article>
            </section>

            <section class="phpdocumentor-methods">
        <h3 class="phpdocumentor-elements__header" id="methods">
            Methods
            <a href="classes/Inc-Api-RestAPI.html#methods" class="headerlink"><i class="fas fa-link"></i></a>
        </h3>
                    <article
        class="phpdocumentor-element
            -method
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_get_permissions_check">
        get_permissions_check()
        <a href="classes/Inc-Api-RestAPI.html#method_get_permissions_check" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="inc/Api/RestAPI.php"><a href="files/inc-api-restapi.html"><abbr title="inc/Api/RestAPI.php">RestAPI.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">121</span>

    </aside>

        <p class="phpdocumentor-summary">Check permissions for the read.</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
                    <span class="phpdocumentor-signature__name">get_permissions_check</span><span>(</span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">bool|<abbr title="\Inc\Api\WP_Error">WP_Error</abbr></span></code>

    
    
    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">bool|<abbr title="\Inc\Api\WP_Error">WP_Error</abbr></span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_register">
        register()
        <a href="classes/Inc-Api-RestAPI.html#method_register" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="inc/Api/RestAPI.php"><a href="files/inc-api-restapi.html"><abbr title="inc/Api/RestAPI.php">RestAPI.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">43</span>

    </aside>

        <p class="phpdocumentor-summary">A function that is used to register the admin pages,subPages,settings,sections and fields
 This function is called from the register function in the init class</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
                    <span class="phpdocumentor-signature__name">register</span><span>(</span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">void</span></code>

    
    
    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">void</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_registerRoute">
        registerRoute()
        <a href="classes/Inc-Api-RestAPI.html#method_registerRoute" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="inc/Api/RestAPI.php"><a href="files/inc-api-restapi.html"><abbr title="inc/Api/RestAPI.php">RestAPI.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">80</span>

    </aside>

        <p class="phpdocumentor-summary">A function that register the api routes</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
                    <span class="phpdocumentor-signature__name">registerRoute</span><span>(</span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">void</span></code>

    
    
    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">void</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_set_permissions_check">
        set_permissions_check()
        <a href="classes/Inc-Api-RestAPI.html#method_set_permissions_check" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="inc/Api/RestAPI.php"><a href="files/inc-api-restapi.html"><abbr title="inc/Api/RestAPI.php">RestAPI.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">100</span>

    </aside>

        <p class="phpdocumentor-summary">Check permissions for the read.</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
                    <span class="phpdocumentor-signature__name">set_permissions_check</span><span>(</span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">bool|<abbr title="\Inc\Api\WP_Error">WP_Error</abbr></span></code>

    
    
    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">bool|<abbr title="\Inc\Api\WP_Error">WP_Error</abbr></span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_setApiRoutes">
        setApiRoutes()
        <a href="classes/Inc-Api-RestAPI.html#method_setApiRoutes" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="inc/Api/RestAPI.php"><a href="files/inc-api-restapi.html"><abbr title="inc/Api/RestAPI.php">RestAPI.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">56</span>

    </aside>

        <p class="phpdocumentor-summary">A function that set api routes</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
                    <span class="phpdocumentor-signature__name">setApiRoutes</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type">array&lt;string|int, mixed&gt;&nbsp;</span><span class="phpdocumentor-signature__argument__name">$routes</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">$this</span></code>

    
        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$routes</span>
                : <span class="phpdocumentor-signature__argument__return-type">array&lt;string|int, mixed&gt;</span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"></section>

            </dd>
            </dl>

    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">$this</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_setBaseRoute">
        setBaseRoute()
        <a href="classes/Inc-Api-RestAPI.html#method_setBaseRoute" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="inc/Api/RestAPI.php"><a href="files/inc-api-restapi.html"><abbr title="inc/Api/RestAPI.php">RestAPI.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">68</span>

    </aside>

        <p class="phpdocumentor-summary">A function that set base route</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
                    <span class="phpdocumentor-signature__name">setBaseRoute</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type">string&nbsp;</span><span class="phpdocumentor-signature__argument__name">$route</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">$this</span></code>

    
        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$route</span>
                : <span class="phpdocumentor-signature__argument__return-type">string</span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"></section>

            </dd>
            </dl>

    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">$this</span>
            &mdash;
        
    
</article>
            </section>

        
    <script type="text/javascript">
        function loadExternalCodeSnippets(line) {
            Array.prototype.slice.call(document.querySelectorAll('pre[data-src]')).forEach((pre) => {
                var src = pre.getAttribute('data-src').replace( /\\/g, '/');
                var extension = (src.match(/\.(\w+)$/) || [, ''])[1];
                var language = 'php';

                var code = document.createElement('code');
                code.className = 'language-' + language;

                pre.textContent = '';

                pre.setAttribute('data-line', line)
                code.textContent = 'Loading…';

                pre.appendChild(code);

                var xhr = new XMLHttpRequest();

                xhr.open('GET', src, true);

                xhr.onreadystatechange = function () {
                    if (xhr.readyState == 4) {

                        if (xhr.status < 400 && xhr.responseText) {
                            code.textContent = xhr.responseText;

                            Prism.highlightElement(code);
                        }
                        else if (xhr.status >= 400) {
                            code.textContent = '✖ Error ' + xhr.status + ' while fetching file: ' + xhr.statusText;
                        }
                        else {
                            code.textContent = '✖ Error: File does not exist, is empty or trying to view from localhost';
                        }
                    }
                };

                xhr.send(null);
            });
        }

        var modals = document.querySelectorAll("[data-modal]");

        modals.forEach(function (trigger) {
            trigger.addEventListener("click", function (event) {
                //event.preventDefault();
                const modal = document.getElementById(trigger.dataset.modal);
                modal.classList.add("phpdocumentor-modal__open");
                loadExternalCodeSnippets(trigger.dataset.line)
                const exits = modal.querySelectorAll("[data-exit-button]");
                exits.forEach(function (exit) {
                    exit.addEventListener("click", function (event) {
                        event.preventDefault();
                        modal.classList.remove("phpdocumentor-modal__open");
                    });
                });
            });
        });
    </script>

    </article>
                <section data-search-results class="phpdocumentor-search-results phpdocumentor-search-results--hidden">
    <section class="phpdocumentor-search-results__dialog">
        <header class="phpdocumentor-search-results__header">
            <h2 class="phpdocumentor-search-results__title">Search results</h2>
            <button class="phpdocumentor-search-results__close"><i class="fas fa-times"></i></button>
        </header>
        <section class="phpdocumentor-search-results__body">
            <ul class="phpdocumentor-search-results__entries"></ul>
        </section>
    </section>
</section>
            </div>
        </div>
        <a href="classes/Inc-Api-RestAPI.html#top" class="phpdocumentor-back-to-top"><i class="fas fa-chevron-circle-up"></i></a>

    </main>

    <script>
        cssVars({});
    </script>
    <script src="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/prism.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/plugins/autoloader/prism-autoloader.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/plugins/line-numbers/prism-line-numbers.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/plugins/line-highlight/prism-line-highlight.min.js"></script>
</body>
</html>
